# Call Kit

**Call Kit** is a prebuilt feature-rich call component, which enables you to build **one-on-one and group voice/video calls** into your app with only a few lines of code.

We also support online invitation and offline invitation.

And it includes the business logic with the UI, you can add or remove features accordingly by customizing UI components.

>
>
>If you find this package helpful, please help by giving it a 👍 on pub.dev! ↗️
>
>Your support and encouragement motivate us to continue improving and maintaining this package.
>
>Thank you for recognizing our work! 👏👏
---

[![ZEGOCLOUD Video Call Feature Intro](https://res.cloudinary.com/marcomontalbano/image/upload/v1682407474/video_to_markdown/images/youtube--mEg32GyIqgI-c05b58ac6eb4c4700831b2b3070cd403.jpg)](https://www.youtube.com/embed/mEg32GyIqgI "ZEGOCLOUD Video Call Feature Intro")

## When do you need the Call Kit

- Build apps faster and easier
  - When you want to prototype 1-on-1 or group voice/video calls ASAP
  - Consider speed or efficiency as the first priority
  - Call Kit allows you to integrate in minutes
- Customize UI and features as needed
  - When you want to customize in-call features based on actual business needs
  - Less time wasted developing basic features
  - Call Kit includes the business logic along with the UI, allows you to customize features accordingly 

## Features

- 1-on-1/group calls
- Call invitation/Offline call invitation
- Screen sharing
- Customizable UI styles
- Real-time sound waves display
- Device management
- Switch views during a 1-on-1 call
- Extendable menu bar
- Participant list
- Custom call ringtones

## Documentation

- [APIs](https://pub.dev/documentation/zego_uikit_prebuilt_call/latest/topics/APIs-topic.html)
- [Events](https://pub.dev/documentation/zego_uikit_prebuilt_call/latest/topics/Events-topic.html)
- [Configs](https://pub.dev/documentation/zego_uikit_prebuilt_call/latest/topics/Configs-topic.html)
  
## Migration Guides
- [Migrating from 3.x to 4.0.0](https://pub.dev/documentation/zego_uikit_prebuilt_call/latest/topics/Migration:%20from%203.x%20to%204.0-topic.html).
- [Migrating 4.x](https://pub.dev/documentation/zego_uikit_prebuilt_call/latest/topics/Migration:%204.x-topic.html).

## More
[Sample Code](https://github.com/ZEGOCLOUD/zego_uikit_prebuilt_call_example_flutter)


[Please visit our official website for more details.](https://docs.zegocloud.com/article/14746)